<?php

// Run when plugin is activated
function bonuspressx_installer(){

   global $wpdb;

   $getVersion = get_option( "bpxx_db_version");
   $table_name = $wpdb->prefix . $getVersion;

   
   if($wpdb->get_var("show tables like '$table_name'") != $table_name) {
      
      $sql = "CREATE TABLE " . $table_name . " (
	   
	   ID INTEGER(100) UNSIGNED AUTO_INCREMENT,
	   
	    created varchar(30),
	   
	    appname varchar(200),

      cloneID varchar(4),

      postID varchar(4),

      total_views varchar(50),
      total_leads varchar(50),
      total_offer_views varchar(50),
      total_optin_views varchar(50),

      bgstyle varchar(10),
      bgcolor varchar(15),
      bgcustom varchar(200),

      headerstyle varchar(10),
      headerurl varchar(200),
      headerurlrepeater varchar(200),

      cdtoggle varchar(2),
      cdstyle varchar(10),
      cdcolor varchar(20),
      cddate varchar(20),
	    cdtimezone varchar(10),
      cdtheme varchar(10),
      cdbgcolor varchar(20),
      cdexpire LONGTEXT,
      cdexpirestyle varchar(10),

      afflink varchar(300),
      headerheadline varchar(250),
      headercolor varchar(15),
      step1 varchar(200),
      step2 varchar(200),
      step3 varchar(200),
      stepstyle varchar(5),

      intro LONGTEXT,
      content LONGTEXT,

      optinheadline LONGTEXT,
      optintitlename varchar(200),
      optinplaceholdername varchar(200),
      optintitleemail varchar(200),
      optinplaceholderemail varchar(200),
      optintitletrans varchar(200),
      optinplaceholdertrans varchar(200),
      optinbtncopy varchar(200),
      optinbtnstyle varchar(5),
      optinsuccess LONGTEXT,

      customcss LONGTEXT,
      customjs LONGTEXT,

      sharelinks varchar(2),
      sharelinks2 varchar(2),
      sharefbtoggle varchar(2),
      sharefbheadline LONGTEXT,
      sharefbappid varchar(100),
      sharetwitter varchar(150),

      ar_code LONGTEXT,
      ar_email varchar(50),
      ar_name varchar(50),
      ar_url varchar(250),
      ar_hidden LONGTEXT,

      footercopy LONGTEXT, 
      footeraff varchar(250),

      linktype varchar(2),

      typography varchar(2),

      TEST1 varchar(2),
      TEST2 varchar(2),
      TEST3 varchar(2),

	   UNIQUE KEY id (id)
	   
	 )ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci AUTO_INCREMENT=1;";

      require_once(ABSPATH . 'wp-admin/includes/upgrade.php');
      
      dbDelta($sql);
    
    }

   $getVersion = get_option( "bpxx_db_lead_version");
   $table_name = $wpdb->prefix . $getVersion;
       
       if($wpdb->get_var("show tables like '$table_name'") != $table_name) {
          
          $sql = "CREATE TABLE " . $table_name . " (
         
          ID INTEGER(100) UNSIGNED AUTO_INCREMENT,
         
          app_id varchar(20),

          name varchar(200),
          email varchar(200),
          transid varchar(200),
         
          created varchar(200),
         
          UNIQUE KEY id (id)
         
          )ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci AUTO_INCREMENT=1;";
    
          require_once(ABSPATH . 'wp-admin/includes/upgrade.php');
          
          dbDelta($sql);
          
        }

    // UPDATE CHECK FOR NEW DB CHANGES
    // $getVersion = get_option( "bpxx_db_version");

    // if( $getVersion == "bonuspressx_v2" ){
    //   // New version... check if older DB exsists
    //   if( $wpdb->get_var("show tables like '$table_name'") != $table_name ) {
    //     // NO OLD DB - DO NOTHING - BRAND NEW INSTALL
    //   } else {
    //     // THEY HAVE THE OLD DB ::
    //     // GET ALL FROM PREVIOUS DB "bonuspressx"
    //     $table_db_name = $wpdb->prefix . "bonuspressx"; // previous DB name
    //     $results = $wpdb->get_results("SELECT * FROM $table_db_name", ARRAY_A);
    //     // Add Those Into New DB
    //     $getVersion = get_option("bpxx_db_version");
    //     $table_db_name_old = $wpdb->prefix . "bonuspressx";
    //     $table_db_name_new = $wpdb->prefix . $getVersion;
    //     $sql = "INSERT INTO " . $table_db_name_new . " SELECT * from ". $table_db_name_old  ." ";
    //     require_once(ABSPATH . 'wp-admin/includes/upgrade.php');  
    //     dbDelta($sql);

    //   }

    // }    

} 

?>