<?php

// ********* META DATA BOX ********************///

add_action( 'add_meta_boxes', 'bonuspressx_meta_box_add' );

function bonuspressx_meta_box_add(){
	add_meta_box( 'bonuspressx-id', 'Link To Bonus Page', 'bonuspressx_meta_box_cb', 'page', 'side', 'high' );
}

function bonuspressx_meta_box_cb(){ 
	
	   global $post;  
	   $values = get_post_custom( $post->ID );  
	   $selected = isset( $values['bonuspressx_meta_box_select'] ) ?
	   esc_attr( $values['bonuspressx_meta_box_select'] ) : '';
	    
	   wp_nonce_field( 'bonuspressx_meta_box_nonce', 'bonuspressx_box_nonce' );
	   
	   $bonuspressxSelected = $values['bonuspressx_meta_box_select'];
	      
	   $bonuspressxCurrentSelected = $bonuspressxSelected[0];
	      
	?>
	<h4 style=" margin-bottom: 0px; margin-top: 15px;">Select A Bonus Press Page:</h4>
	<span style="font-size: 11px;" >This page will be replaced with this bonus page...</span>
	<br>   
	<select name="bonuspressx_meta_box_select" id="bonuspressx_meta_box_select" style="margin-top: 10px; width: 250px;">
	
	<option <?php if($bonuspressxCurrentSelected == "0"){ echo "selected='selected'"; } ?> value="0">NONE</option>
	
	
		  	<?php 
		   	
		   	global $wpdb;
		   	
		   	$getVersion = get_option("bpxx_db_version");
			$table_db_name = $wpdb->prefix . $getVersion;

		   	$templates = $wpdb->get_results("SELECT * FROM $table_db_name",ARRAY_A);
		   	$templates = array_reverse($templates );
		   	
		   	foreach($templates as $template){
		   	
		   		$name = stripslashes($template['appname']);
		   		$id = stripslashes($template['ID']);
		   		$selectedBox = "";
		   		if($bonuspressxCurrentSelected == $id){ $selectedBox = "selected='selected'"; }
		   		
		   		echo "<option $selectedBox value='$id'>$name</option>";
		   	
		   	}
		   	
		   	?>
	
	</select>
	
	<?php
}

// Save Settings

add_action( 'save_post', 'bonuspressx_meta_box_save' );

function bonuspressx_meta_box_save( $post_id ){
	// Bail if we're doing an auto save
	if( defined( 'DOING_AUTOSAVE' ) && DOING_AUTOSAVE ) return;

	// if our nonce isn't there, or we can't verify it, bail
	if( !isset( $_POST['bonuspressx_box_nonce'] ) || !wp_verify_nonce( $_POST['bonuspressx_box_nonce'], 'bonuspressx_meta_box_nonce' ) ) return;

	// if our current user can't edit this post, bail
	if( !current_user_can( 'edit_post' ) ) return;
	
	// now we can actually save the data 
	  
	// Make sure your data is set before trying to save it  

	if( isset( $_POST['bonuspressx_meta_box_select'] ) )  
	        update_post_meta( $post_id, 'bonuspressx_meta_box_select', esc_attr( $_POST['bonuspressx_meta_box_select'] ) );  
	                         
}

// Get post settings ::

add_action('template_redirect', 'bonuspressx_checkpost');

function bonuspressx_checkpost(){
	
	// get POST ID:
	global $post;  
	$values = get_post_custom( $post->ID );  
	$selected = isset( $values['bonuspressx_meta_box_select'] );	
	$bonuspressxSelected = $values['bonuspressx_meta_box_select'];
	
	$bonuspressxCurrentSelected = $bonuspressxSelected[0];
	
	
	if($bonuspressxCurrentSelected == "0" || $bonuspressxCurrentSelected == ""){
		// do nothing...
	} else {
				
			$full_path = WP_PLUGIN_URL.'/'.str_replace(basename( FILE),"",plugin_basename(FILE));
			
			$client = urlencode($bonuspressxCurrentSelected);
			
			$CheckTY = "ty";
			$postID = $post->ID;
	
			
					
			$url = $full_path. "bonuspressx/template/index.php?id=$client&p=$postID";
			
			$url_feed = @file_get_contents("$url", true);
			
			if ( $url_feed === false )
			{
			   
			   // Try cURL to open the file ::
			   
			   function url_get_contents ($Url) {
			       if (!function_exists('curl_init')){ 
			           die('CURL is not installed!');
			       }
			       $ch = curl_init();
			       curl_setopt($ch, CURLOPT_URL, $Url);
			       curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
			       $output = curl_exec($ch);
			       curl_close($ch);
			       return $output;
			   }

			    echo "<title>";
				echo get_the_title($post->ID);
				echo "</title>";
			   
			    echo url_get_contents($url);
			   
			} else {

				echo "<title>";
				echo get_the_title($post->ID);
				echo "</title>";
				
				echo file_get_contents("$url", true);
			
			}
			
			die();
			
		}
		
	

}

?>