<?php
/*
Plugin Name: Bonus Press
Description: Create high converting affiliate bonus pages in seconds!
Version: 1.5
Author: Mark Thompson
*/

// DB VERSION CONTROL:
include("inc/dbcontrl.php");

// Activation Here:
register_activation_hook(__FILE__, 'bonuspressx_installer');
include("inc/activation.php");

// AJAX Callbacks:
include("inc/callback.php");

// Image Uploader:
include("inc/image.php");

// Menu Here:
include("inc/menu.php");

// Dashboard:
include("UI/index.php");

// Page Linker:
include("inc/page_link.php");

// ShortCodes
include("inc/shortcodes-headlines.php");
include("inc/shortcodes-buttons.php");
include("inc/shortcodes-contentboxes.php");
include("inc/shortcodes-lists.php");
include("inc/shortcodes-columns.php");
include("inc/shortcodes-misc.php");

// Updater
require_once('wp-updates-plugin.php');
new WPUpdatesPluginUpdater( 'http://wp-updates.com/api/1/plugin', 124, plugin_basename(__FILE__) );


?>