<?php

// Update Home

add_action('wp_ajax_bonuspressx_create', 'bonuspressx_create_callback');


function bonuspressx_create_callback() {
		
	global $wpdb;

	$getVersion = get_option("bpxx_db_version");
	$table_db_name = $wpdb->prefix . $getVersion;
	
	$clone = $_POST['cloneapp'];

	if($clone == "0"){
		// NO CLONE
		$wpdb->insert($table_db_name, 
		array( 
		 'appname' => stripcslashes($_POST['appname']),
		 'created' => date('F j, Y')
		));
	} else {
		// CLONE APP ::
		// Create New App:
		$wpdb->insert($table_db_name, array( 'appname' => stripcslashes($_POST['appname']), 'created' => date('F j, Y')));
		$newID = $wpdb->insert_id;
		// Get All from clone page
		$results = $wpdb->get_results("SELECT * FROM $table_db_name WHERE id = '$clone' ", ARRAY_A);
		// Insert all into new page & override clone to parent ID
		$results = array_splice($results[0], 8);
		// print_r($results);
		$wpdb->update($table_db_name, $results,  array( 'id' => $newID ) );
		$wpdb->update($table_db_name, array( 'cloneID' => $clone ), array( 'id' => $newID ));
	}

	$getID = $wpdb->insert_id;

	// CREATE A CORRASPONDING POST ::
	$my_post = array(
	  'post_title'    => wp_strip_all_tags( $_POST['appname'] ),
	  'post_type'     => 'page',
	  'post_content'  => 'NOT USED -- REPLACED WITH BONUS PRESS CONTENT',
	  'post_status'   => 'publish'
	);

	// Insert the post into the database
	$getPostID = wp_insert_post( $my_post );

	// Add postID to db:
	$wpdb->update($table_db_name, array( 'postID' => $getPostID ), array( 'id' => $getID ));

	// Set Meta Info so it links this page with the bonus page::
	update_post_meta( $getPostID, 'bonuspressx_meta_box_select', esc_attr($getID) );

	echo $getID;
	die();
	
}

// Edit Campaign

add_action('wp_ajax_bonuspressx_edit', 'bonuspressx_edit_callback');


function bonuspressx_edit_callback() {
		
	global $wpdb;
	
	$getVersion = get_option("bpxx_db_version");
	$table_db_name = $wpdb->prefix . $getVersion;
	
	$id = $_POST['id'];

	$x = $_POST;

	$x = array_splice($x, 3);

	$wpdb->update($table_db_name, $x, array( 'id' => $id ));

	print_r($x);
	
}

// Delete Campaign

add_action('wp_ajax_bonuspressx_delete', 'bonuspressx_delete_callback');


function bonuspressx_delete_callback() {
		
	// Deal ID
	$ID = $_POST['id'];
		
	global $wpdb;
	
	$getVersion = get_option("bpxx_db_version");
	$table_db_name = $wpdb->prefix . $getVersion;
	
	$wpdb->query("DELETE FROM $table_db_name WHERE id = $ID");

	// Also Delete Corrasponding Page Post
	$results = $wpdb->get_results("SELECT * FROM $table_db_name WHERE id = '$ID'", OBJECT);
	wp_delete_post( $results->postID , true );
	
}

// LEAD Delete Campaign

add_action('wp_ajax_bonuspressx_lead_delete', 'bonuspressx_lead_delete_callback');


function bonuspressx_lead_delete_callback() {
		
	// Deal ID
	$ID = $_POST['id'];
	$LEAD = $_POST['lead'];
		
	global $wpdb;
	
	$getVersion = get_option("bpxx_db_lead_version");
	$table_db_name = $wpdb->prefix . $getVersion;
	
	$wpdb->query("DELETE FROM $table_db_name WHERE id = $LEAD");

	$table_db_name = $wpdb->prefix . "bonuspressx";
	$findstat = $wpdb->get_results("SELECT * FROM $table_db_name WHERE id = '$ID'", OBJECT);
	
	foreach($findstat as $findstat){}
	
	// Check if its 0 then don't -

	if( $findstat->total_leads == "0" ){
		// Do nothing...
	} else{

		$wpdb->update($table_db_name, 
		array( 
		 'total_leads' => $findstat->total_leads - 1
		),
		  array( 'id' => $ID )
		);	

	}	
	
}


// Save Optin Lead

add_action('wp_ajax_nopriv_bonuspressx_track_optin', 'bonuspressx_track_optin_callback');
add_action('wp_ajax_bonuspressx_track_optin', 'bonuspressx_track_optin_callback');
function bonuspressx_track_optin_callback() {
		
	// Campaign ID
	$ID = $_POST['id'];
	
	// +1 For Total Offer Views
		
	global $wpdb;
	
	$getVersion = get_option("bpxx_db_version");
	$table_db_name = $wpdb->prefix . $getVersion;

	$findstat = $wpdb->get_results("SELECT * FROM $table_db_name WHERE id = '$ID'", OBJECT);
	
	foreach($findstat as $findstat){}
	
	$wpdb->update($table_db_name, 
	array( 
	 'total_optin_views' => $findstat->total_optin_views + 1
	),
	  array( 'id' => $ID )
	);
	
}

// Track Offer Click

add_action('wp_ajax_nopriv_bonuspressx_track_offer', 'bonuspressx_track_offer_callback');
add_action('wp_ajax_bonuspressx_track_offer', 'bonuspressx_track_offer_callback');
function bonuspressx_track_offer_callback() {
		
	// Campaign ID
	$ID = $_POST['id'];
	
	// +1 For Total Offer Views
		
	global $wpdb;
	
	$getVersion = get_option("bpxx_db_version");
	$table_db_name = $wpdb->prefix . $getVersion;

	$findstat = $wpdb->get_results("SELECT * FROM $table_db_name WHERE id = '$ID'", OBJECT);
	
	foreach($findstat as $findstat){}
	
	$wpdb->update($table_db_name, 
	array( 
	 'total_offer_views' => $findstat->total_offer_views + 1
	),
	  array( 'id' => $ID )
	);
	
}

// Save LEAD

add_action('wp_ajax_nopriv_bonuspressx_save_lead', 'bonuspressx_save_lead_callback');
add_action('wp_ajax_bonuspressx_save_lead', 'bonuspressx_save_lead_callback');
function bonuspressx_save_lead_callback() {
		
	// Campaign ID
	$ID = $_POST['id'];
	
	// +1 For Total Leads
		
	global $wpdb;
	
	$getVersion = get_option("bpxx_db_lead_version");
	$table_db_name = $wpdb->prefix . $getVersion;
		
	$wpdb->insert($table_db_name, 
	array(
	 'app_id' => $_POST['id'],
	 'name' => $_POST['name'],
	 'email' => $_POST['email'],
	 'transid' => $_POST['transid'],
	 'created' => date('F j, Y')
	));
	
	$getVersion = get_option("bpxx_db_version");
	$table_db_name = $wpdb->prefix . $getVersion;

	$findstat = $wpdb->get_results("SELECT * FROM $table_db_name WHERE id = '$ID'", OBJECT);
	
	foreach($findstat as $findstat){}
	
	$wpdb->update($table_db_name, 
	array( 
	 'total_leads' => $findstat->total_leads + 1
	),
	  array( 'id' => $ID )
	);
	
}

// Track View

add_action('wp_ajax_nopriv_bonuspressx_track_view', 'bonuspressx_track_view_callback');
add_action('wp_ajax_bonuspressx_track_view', 'bonuspressx_track_view_callback');
function bonuspressx_track_view_callback() {
		
	// Campaign ID
	$ID = $_POST['id'];
	
	// +1 For Total Leads
		
	global $wpdb;	
	
	$getVersion = get_option("bpxx_db_version");
	$table_db_name = $wpdb->prefix . $getVersion;


	$findstat = $wpdb->get_results("SELECT * FROM $table_db_name WHERE id = '$ID'", OBJECT);
	
	foreach($findstat as $findstat){}
	
	$wpdb->update($table_db_name, 
	array( 
	 'total_views' => $findstat->total_views + 1
	),
	  array( 'id' => $ID )
	);
	
}

// Clone JV
add_action('wp_ajax_nopriv_bonuspressx_clone_jv', 'bonuspressx_clone_jv_callback');
add_action('wp_ajax_bonuspressx_clone_jv', 'bonuspressx_clone_jv_callback');
function bonuspressx_clone_jv_callback() {
		
	// Campaign ID
	$ID = $_POST['id'];
	$NAME = $_POST['name'];
	$LINK = $_POST['link'];

	global $wpdb;
	
	$getVersion = get_option("bpxx_db_version");
	$table_db_name = $wpdb->prefix . $getVersion;

	// Create New App:
	$wpdb->insert($table_db_name, array( 'appname' => stripcslashes($NAME), 'created' => date('F j, Y')));
	$newID = $wpdb->insert_id;
	
	// Get All from clone page
	$results = $wpdb->get_results("SELECT * FROM $table_db_name WHERE id = '$ID' ", ARRAY_A);
		
	// Insert all into new page & override clone to parent ID
	$results = array_splice($results[0], 8);
		
	$wpdb->update($table_db_name, $results,  array( 'id' => $newID ) );
	$wpdb->update($table_db_name, array( 'cloneID' => $ID, 'afflink' => $LINK, 'headerheadline' => 'Awesome Bonus For '. $NAME . ' Subscribers - Very Limited Time!' ), array( 'id' => $newID ));
	
	$getID = $wpdb->insert_id;

	// CREATE A CORRASPONDING POST ::
	$my_post = array(
	  'post_title'    => wp_strip_all_tags( $_POST['name'] ),
	  'post_type'     => 'page',
	  'post_content'  => 'NOT USED -- REPLACED WITH BONUS PRESS CONTENT - JV PAGE CLONE',
	  'post_status'   => 'publish'
	);

	// Insert the post into the database
	$getPostID = wp_insert_post( $my_post );

	// Add postID to db:
	$wpdb->update($table_db_name, array( 'postID' => $getPostID ), array( 'id' => $getID ));

	// Set Meta Info so it links this page with the bonus page::
	update_post_meta( $getPostID, 'bonuspressx_meta_box_select', esc_attr($getID) );

	echo get_permalink($getPostID);
	die();
	
}

?>