<?php

// Normal Headline Centered
function scHeadline_red_func( $atts, $content = null ){
	$content = do_shortcode($content);
	return "<div class='scHeadline_red' ><h1>".$content."</h1></div>";
}
add_shortcode( 'scHeadline_red', 'scHeadline_red_func' );

// Lead Copy
function scHeadline_lead_func( $atts, $content = null ){
	$content = do_shortcode($content);
	return "<div class='scHeadline_lead' ><p class='lead'>".$content."</p></div>";
}
add_shortcode( 'scHeadline_lead', 'scHeadline_lead_func' );

// Boxed Headline - Black
function scHeadline_boxed_func( $atts, $content = null ){
	extract( shortcode_atts( array(
		'color' => 'black'
	), $atts ) );
	$content = do_shortcode($content);
	return "<div class='scHeadline_boxed_{$color}' ><span>".$content."</span></div>";
}
add_shortcode( 'scHeadline_boxed', 'scHeadline_boxed_func' );

?>